import React, { useState } from 'react';
import { Text, ImageBackground } from 'react-native';
import AppStyles from './Styles/AppStyles';

const SplashScreen = ({ isShowingAppName }) => {
  let content;

  if (isShowingAppName) {
    content = <Text style={AppStyles.appName}>Welcome!</Text>;
  } else {
    content = null;  // Or any default content you want to show
  }
  
  return (
    <ImageBackground source={require('./assets/screenWithVersion.png')} style={AppStyles.container}>
      {content}
    </ImageBackground>
  );
}

export default SplashScreen;
